Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.capabilities
Class WMSOperationsMetadata

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
          org.deegree.ogcwebservices.wms.capabilities.WMSOperationsMetadata

All Implemented Interfaces:
  Serializable

    public class WMSOperationsMetadata

extends OperationsMetadata

Represents the `OperationMetadata` part in the capabilities document of a WFS according to the `Web Feature Service Implementation Specification 1.1.0`.

In addition to the `GetCapabilities` operation that all `OWS 0.3` compliant services must implement, it may define some or all of the following operations:

Since:
  2.0
Version:
  1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $
See Also:
  `OperationsMetadata`, Serialized Form

Field Summary
`static String` | `DESCRIBELAYER` The name of the DescribeLayer operation.
`static String` | `FEATUREINFO` The name of the GetFeatureInfo operation.
`static String` | `GETFEATUREINFO` The name of the GetFeatureInfo operation.
`static String` | `GETLEGENDGRAPHIC` The name of the GetLegendGraphic operation.
`static String` | `GETMAP` The name of the GetMap operation.
`static String` | `GETSTYLES` The name of the GetStyles operation.
`static String` | `MAP` The name of the GetMap operation.
`static String` | `PUTSTYLES` The name of the PutStyles operation.

Fields inherited from class org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
`constraints, GET_CAPABILITIES_NAME, getCapabilitiesOperation, parameters`

Constructor Summary
`WMSOperationsMetadata(Operation getCapabilities, Operation getMap, Operation getFeatureInfo, Operation describeLayer, Operation getLegendGraphic, Operation getStyles, Operation putStyles, OWSDomainType[] parameters, OWSDomainType[] constraints)` Constructs a new `WMSOperationsMetadata` instance from the given parameters.

Method Summary
`Operation` | `getDescribeLayer()`
`Operation` | `getGetFeatureInfo()`
`Operation` | `getGetLegendGraphic()`
`Operation` | `getGetMap()`
`Operation` | `getGetStyles()`
`Operation[]` | `getOperations()`
`Operation` | `getPutStyles()`
`void` | `setDescribeLayer(Operation describeLayer)`
`void` | `setGetFeatureInfo(Operation getFeatureInfo)`
`void` | `setGetLegendGraphic(Operation getLegendGraphic)`
`void` | `setGetMap(Operation getMap)`
`void` | `setGetStyles(Operation getStyles)`
`void` | `setPutStyles(Operation putStyles)`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OperationsMetadata
`addConstraint, addParameter, getConstraints, getGetCapabilitiesOperation, getParameter, removeParameter, setConstraints, setGetCapabilitiesOperation, setOperationParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GETMAP

    public static final String GETMAP

  The name of the GetMap operation.

  See Also:
    Constant Field Values

### MAP

    public static final String MAP

  The name of the GetMap operation.

  See Also:
    Constant Field Values

### GETFEATUREINFO

    public static final String GETFEATUREINFO

  The name of the GetFeatureInfo operation.

  See Also:
    Constant Field Values

### FEATUREINFO

    public static final String FEATUREINFO

  The name of the GetFeatureInfo operation.

  See Also:
    Constant Field Values

### DESCRIBELAYER

    public static final String DESCRIBELAYER

  The name of the DescribeLayer operation.

  See Also:
    Constant Field Values

### GETLEGENDGRAPHIC

    public static final String GETLEGENDGRAPHIC

  The name of the GetLegendGraphic operation.

  See Also:
    Constant Field Values

### GETSTYLES

    public static final String GETSTYLES

  The name of the GetStyles operation.

  See Also:
    Constant Field Values

### PUTSTYLES

    public static final String PUTSTYLES

  The name of the PutStyles operation.

  See Also:
    Constant Field Values

Constructor Detail

### WMSOperationsMetadata

    public WMSOperationsMetadata(Operation getCapabilities,
                                 Operation getMap,
                                 Operation getFeatureInfo,
                                 Operation describeLayer,
                                 Operation getLegendGraphic,
                                 Operation getStyles,
                                 Operation putStyles,
                                 OWSDomainType[] parameters,
                                 OWSDomainType[] constraints)

  Constructs a new `WMSOperationsMetadata` instance from the given parameters.

  Parameters:
    `getCapabilities` -
    `getMap` -
    `getFeatureInfo` -
    `describeLayer` -
    `getLegendGraphic` -
    `getStyles` -
    `putStyles` -
    `parameters` -
    `constraints` -

Method Detail

### getOperations

    public Operation[] getOperations()

  Overrides:
    `getOperations` in class `OperationsMetadata`
  Returns:
    all `Operations` known to the WFS.

### getDescribeLayer

    public Operation getDescribeLayer()

  Returns:
    Returns the describeLayer.

### setDescribeLayer

    public void setDescribeLayer(Operation describeLayer)

  Parameters:
    `describeLayer` - The describeLayer to set.

### getGetFeatureInfo

    public Operation getGetFeatureInfo()

  Returns:
    Returns the getFeatureInfo.

### setGetFeatureInfo

    public void setGetFeatureInfo(Operation getFeatureInfo)

  Parameters:
    `getFeatureInfo` - The getFeatureInfo to set.

### getGetLegendGraphic

    public Operation getGetLegendGraphic()

  Returns:
    Returns the getLegendGraphic.

### setGetLegendGraphic

    public void setGetLegendGraphic(Operation getLegendGraphic)

  Parameters:
    `getLegendGraphic` - The getLegendGraphic to set.

### getGetMap

    public Operation getGetMap()

  Returns:
    Returns the getMap.

### setGetMap

    public void setGetMap(Operation getMap)

  Parameters:
    `getMap` - The getMap to set.

### getGetStyles

    public Operation getGetStyles()

  Returns:
    Returns the getStyles.

### setGetStyles

    public void setGetStyles(Operation getStyles)

  Parameters:
    `getStyles` - The getStyles to set.

### getPutStyles

    public Operation getPutStyles()

  Returns:
    Returns the putStyles.

### setPutStyles

    public void setPutStyles(Operation putStyles)

  Parameters:
    `putStyles` - The putStyles to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org